# List Workflow Integrations

> List tenant-permitted public integrations; this does not assert connection setup.

Source: [https://genhealth.ai/docs/workflows/api-reference/v1/workflow-developer-api/list-workflow-integrations](https://genhealth.ai/docs/workflows/api-reference/v1/workflow-developer-api/list-workflow-integrations)

## Endpoint

`GET /developer/v1/integrations`

## Authentication

Send a GenHealth credential in the `Authorization` header:

```http
Authorization: Bearer <YOUR_API_KEY>
Accept: application/json
```

Required scopes: `workflow:read`

## Parameters

This endpoint has no request parameters.

## Request examples

### cURL

```curl
curl --request GET \
  --url 'https://api.umpa.genhealth.ai/developer/v1/integrations' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Accept: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.umpa.genhealth.ai/developer/v1/integrations', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer <YOUR_API_KEY>',
    Accept: 'application/json',
  },
});

const data = await response.json();
```

### Python

```python
import requests

response = requests.get(
    'https://api.umpa.genhealth.ai/developer/v1/integrations',
    headers={
        'Authorization': 'Bearer <YOUR_API_KEY>',
        'Accept': 'application/json',
    },
)

data = response.json()
```

## Responses

| Status | Description |
| --- | --- |
| 200 | Successful Response |

### 200 response example

```json
{
  "integrations": [
    {
      "group": "string",
      "action_count": 1,
      "connection_types": [
        "string"
      ]
    }
  ],
  "integration_count": 1,
  "action_count": 1
}
```
